std::filesystem::filesystem_error::operator=(3)

NAME
std::filesystem::filesystem_error::operator= - std::filesystem::filesystem_error::operator=

Synopsis
   filesystem_error& operator=( const filesystem_error& other ) (since C++17)
   noexcept;
   Assigns the contents with those of other. If *this and other both have dynamic type
   std::filesystem::filesystem_error then std::strcmp(what(), other.what()) == 0 after
   assignment.

Parameters
   other - another filesystem_error object to assign with

Return value
   *this

Notes
   Typical implementations store path objects referenced by path1() and path2() in a
   reference-counted storage. As a result, *this and other usually share their path
   objects after assignment.

Example
    This section is incomplete
    Reason: no example